<?xml version="1.0"?>
<!--
/**
 * Copyright © Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */
-->
<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:framework:ObjectManager/etc/config.xsd">
    <preference for="Academy\Shop\Api\Data\ShopInterface" type="Academy\Shop\Model\Shop" />
    <preference for="Academy\Shop\Api\Data\ShopSearchResultsInterface" type="Academy\Shop\Model\ShopSearchResults" />
    <preference for="Academy\Shop\Api\ShopRepositoryInterface" type="Academy\Shop\Model\ShopRepository" />

    <type name="Magento\Framework\View\Element\UiComponent\DataProvider\CollectionFactory">
        <arguments>
            <argument name="collections" xsi:type="array">
                <item name="shop_listing_data_source" xsi:type="string">Academy\Shop\Model\ResourceModel\Shop\Grid\Collection</item>
            </argument>
        </arguments>
    </type>

    <type name="Academy\Shop\Model\ResourceModel\Shop\Grid\Collection">
        <arguments>
            <argument name="mainTable" xsi:type="string">store_locator</argument>
            <argument name="eventPrefix" xsi:type="string">academy_shop_grid_collection</argument>
            <argument name="eventObject" xsi:type="string">academy_shop_grid_collection</argument>
            <argument name="resourceModel" xsi:type="string">Academy\Shop\Model\ResourceModel\Shop</argument>
        </arguments>
    </type>

    <type name="Magento\ImportExport\Model\Import\SampleFileProvider">
        <arguments>
            <argument name="samples" xsi:type="array">
                <item name="messages" xsi:type="string">Academy_Shop</item>
            </argument>
        </arguments>
    </type>
    <preference for="Magento\Catalog\Block\Product\View\Attributes"
                type="Academy\Shop\Block\Product\View\Attributes" />
<!--    <type name="Academy\Shop\Block\View">-->
<!--        <plugin name="AcademyShopBlockView" type="Academy\Shop\Plugin\ShopPlugin" sortOrder="1"/>-->
<!--    </type>-->

</config>
